package models

import (
	"time"
)

type CmApprover struct {
	Id           int       `xorm:"not null pk autoincr comment('自增ID') INT(11)"`
	ProjectId    int       `xorm:"comment('项目ID') INT(11)"`
	BidsectionId int       `xorm:"comment('标段id') INT(11)"`
	DataType     int       `xorm:"not null comment('数据类型(1安全2质量)') TINYINT(1)"`
	DataId       int       `xorm:"comment('数据ID') INT(11)"`
	Status       int       `xorm:"comment('状态(0未上报1待审批2完成3关闭)') TINYINT(1)"`
	Progress     int       `xorm:"not null comment('审批进度(0审批1整改2复查)') TINYINT(1)"`
	AuditOrder   int       `xorm:"comment('审批顺序') INT(11)"`
	AuditId      int       `xorm:"comment('审核人id') INT(11)"`
	CreateTime   time.Time `xorm:"comment('创建时间') DATETIME"`
	UpdateTime   time.Time `xorm:"default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
